Subject: RE: [mobile-ip] Proposal for RAM based MIPv6 address lookup

From: "Shahrier, Sharif M." <[email-masked]>
Date: Tue, 17 Apr 2001 15:32:54 -0400

Actually, the size of the cache would generally be much smaller than the
full SRAM required to store all the COAs. Also, you can use a fully
associative or a set associative cache depending on the cost/speed tradeoff
you're looking for.

Sharif

 -----Original Message-----
From: 	Phil Neumiller [mailto:[email-masked]] 
Sent:	Tuesday, April 17, 2001 12:24 PM
To:	[email-masked]
Subject:	Re: [mobile-ip] Proposal for RAM based MIPv6 address lookup

Yes a fully associative memory might be the best I was thinking that what
I proposed would allow something to put up pretty fast with reasonable
performance with not such a big price tag as associative memory.

----- Original Message -----
From: "Shahrier, Sharif M." <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, April 17, 2001 11:08 AM
Subject: RE: [mobile-ip] Proposal for RAM based MIPv6 address lookup

> One method that can be used is a first-level cache  to store some of the
> COAs. Slower main memory DRAMs may be used as primary storage. This would
> save on having to use expensive SRAM (although nowadays the SRAMs are
fairly
> cheap). Depending on the locality of the COA accesses, the cache could be
> designed to produce a lot of "hits" to improve the performance of lookup.
> A natural extention of this of course is to use multi level caches.
>
> It would also be quite interesting to investigate different caching
> algorithms for this case.
>
> I had done quite a bit of cache modeling, simulation on real-time cache
> architecture, thus if anyboby is interested please contact me for off-line
> discussions.
>
> Thanks.
>
> Sharif.
>
>  -----Original Message-----
> From: Phil Neumiller [mailto:[email-masked]]
> Sent: Tuesday, April 17, 2001 10:32 AM
> To: [email-masked]
> Subject: [mobile-ip] Proposal for RAM based MIPv6 address lookup
>
> Hi,
>
> Assume we need to assign every device on the planet a home address and
> potentially a COA as it moves.  This leaves 2^31 addresses for MIPv6 to
> use as home addresses.  Then clearly 8.6 GB would be enough RAM to
> store all possible MIPv6 HA to COA mappings (provided home addresses
> were mapped to VM addresses).  These address servers could be spread
> across server pools and  made redundant and be spread across the globe
> to ensure low latency access everywhere on the planet.
>
> This would allow a much faster deployment of MIPv6 since testbeds could
> go up now and no router upgrades would be needed to provide fully
optimized
> MIPv6 service.  IPv6 over IPv4 tunnelling from MN to CN could be used
> pretty effectively.
>
> Eventually operators could control their own agents in their routers as
they
> wish to upgrade them, but this approach would allow for massive and
> effective
> deployment immediately of MIPv6.  Comments?  Which big server company
> (hey Sun!!!) wants to set one of these up for us to play with?
>
> Thanks,
>
> Phil
>
>